package com.kmall.admin.entity.mk.store;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 门店优惠券活动实体
 * 表名 mk_store_ticket_discount
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-07 16:06:28
 */
public class MkStoreTicketDiscountEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 优惠券id
     */
    private Integer tickDiscId;
    /**
     * 优惠类型，【tick_disc_type，00:代金券，01:折扣券，02:兑换券】
     */
    private String tickDiscType;
    /**
     * 优惠券副标题
     */
    private String tickDiscSubTitle;
    /**
     * 商户编号
     */
    private String merchSn;
    /**
     * 第三方商户id
     */
    private Integer thirdMerchSn;
    /**
     * 门店id
     */
    private Integer storeId;
    /**
     * 活动id
     */
    private Integer storeTopicId;
    /**
     * 优惠券标题
     */
    private String name;
    /**
     * 代金券减免金额(元)
     */
    private BigDecimal voucherMoney;
    /**
     * 代金券使用条件(元)，消费金额满多少使用
     */
    private BigDecimal voucherCond;
    /**
     * 折扣券折扣(折)，1-9.9之间的数字，精确到小数点后1位
     */
    private BigDecimal discRatio;
    /**
     * 折扣券使用条件(元)，)，消费金额满多少使用
     */
    private BigDecimal discCond;
    /**
     * 兑换券使用条件(元)，消费金额满多少使用
            
     */
    private BigDecimal exchCond;
    /**
     * 生效时间类型，【effect_time_type，00:固定时间，01:领取后生效】
     */
    private String effectTimeType;
    /**
     * 固定开始时间，yyyy-MM-dd
     */
    private Date fixBegTime;
    /**
     * 固定结束时间，yyyy-MM-dd
     */
    private Date fixEndTime;
    /**
     * 领券延期生效天数(天)
     */
    private String postponeNum;
    /**
     * 领券使用有效天数(天)
     */
    private String validDayNum;
    /**
     * 库存
     */
    private Integer ticketNum;
    /**
     * 适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    private String applyType;
    /**
     * 领取入口，格式：1,2,...,n，【get_enter，1:商品详情页/购物车等商城页面】
     */
    private String getEnter;
    /**
     * 能否分享领取，【can_share_get，0:能，1:否】
     */
    private String canShareGet;
    /**
     * 每人限领数(张)，每个用户领券上限，如不填则默认为1
     */
    private Integer limitNum;
    /**
     * 活动图片url(小图)
     */
    private String advImgUrl;
    /**
     * 门店logo图url
     */
    private String storeLogoUrl;
    /**
     * 门店名称，默认填写商户门店名称
     */
    private String storeName;
    /**
     * 券面颜色，如:#ababab
     */
    private String ticketColor;
    /**
     * 操作说明
     */
    private String optDecl;
    /**
     * 优惠说明
     */
    private String discDecl;
    /**
     * 使用须知
     */
    private String useNoti;
    /**
     * 客服电话，手机或固话
     */
    private String svrTel;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;
    /**
     * 发放方式 0：按订单发放 1：按用户发放(通用优惠券，用户点击领取) 2:商品转发送券 3：按商品发放 4:新用户注册 5：线下发放 6评价好评红包（固定或随机红包） 7包邮（不入会员优惠券表）
     */
    private Integer sendType;
    /**
     * 折扣最多优惠（件）
     */
    private Integer discSellCount;
    /**
     * 折扣最多优惠（元）
     */
    private BigDecimal discSellDoller;

    private String inValidTime;

    private String inValidStatus;

    private Integer validStatus;

    private String guid;

    private String goodsBizType;

    private String isPast;

    /**
     * 是否展示在小程序门店首页广告栏 0：否，1：是
     */
    private String isStoreShow;

    public String getIsStoreShow() {
        return isStoreShow;
    }

    public void setIsStoreShow(String isStoreShow) {
        this.isStoreShow = isStoreShow;
    }

    public String getIsPast() {
        return isPast;
    }

    public void setIsPast(String isPast) {
        this.isPast = isPast;
    }

    public String getGoodsBizType() {
        return goodsBizType;
    }

    public void setGoodsBizType(String goodsBizType) {
        this.goodsBizType = goodsBizType;
    }

    public Integer getValidStatus() {
        return validStatus;
    }

    public void setValidStatus(Integer validStatus) {
        this.validStatus = validStatus;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getInValidTime() {
        return inValidTime;
    }

    public void setInValidTime(String inValidTime) {
        this.inValidTime = inValidTime;
    }

    public String getInValidStatus() {
        return inValidStatus;
    }

    public void setInValidStatus(String inValidStatus) {
        this.inValidStatus = inValidStatus;
    }

    /**
     * 设置：优惠券id
     */
    public void setTickDiscId(Integer tickDiscId) {
        this.tickDiscId = tickDiscId;
    }

    /**
     * 获取：优惠券id
     */
    public Integer getTickDiscId() {
        return tickDiscId;
    }
    /**
     * 设置：优惠类型，【tick_disc_type，00:代金券，01:折扣券，02:兑换券】
     */
    public void setTickDiscType(String tickDiscType) {
        this.tickDiscType = tickDiscType;
    }

    /**
     * 获取：优惠类型，【tick_disc_type，00:代金券，01:折扣券，02:兑换券】
     */
    public String getTickDiscType() {
        return tickDiscType;
    }
    /**
     * 设置：优惠券副标题
     */
    public void setTickDiscSubTitle(String tickDiscSubTitle) {
        this.tickDiscSubTitle = tickDiscSubTitle;
    }

    /**
     * 获取：优惠券副标题
     */
    public String getTickDiscSubTitle() {
        return tickDiscSubTitle;
    }
    /**
     * 设置：商户编号
     */
    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    /**
     * 获取：商户编号
     */
    public String getMerchSn() {
        return merchSn;
    }
    /**
     * 设置：第三方商户id
     */
    public void setThirdMerchSn(Integer thirdMerchSn) {
        this.thirdMerchSn = thirdMerchSn;
    }

    /**
     * 获取：第三方商户id
     */
    public Integer getThirdMerchSn() {
        return thirdMerchSn;
    }
    /**
     * 设置：门店id
     */
    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取：门店id
     */
    public Integer getStoreId() {
        return storeId;
    }
    /**
     * 设置：活动id
     */
    public void setStoreTopicId(Integer storeTopicId) {
        this.storeTopicId = storeTopicId;
    }

    /**
     * 获取：活动id
     */
    public Integer getStoreTopicId() {
        return storeTopicId;
    }
    /**
     * 设置：优惠券标题
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取：优惠券标题
     */
    public String getName() {
        return name;
    }
    /**
     * 设置：代金券减免金额(元)
     */
    public void setVoucherMoney(BigDecimal voucherMoney) {
        this.voucherMoney = voucherMoney;
    }

    /**
     * 获取：代金券减免金额(元)
     */
    public BigDecimal getVoucherMoney() {
        return voucherMoney;
    }
    /**
     * 设置：代金券使用条件(元)，消费金额满多少使用
     */
    public void setVoucherCond(BigDecimal voucherCond) {
        this.voucherCond = voucherCond;
    }

    /**
     * 获取：代金券使用条件(元)，消费金额满多少使用
     */
    public BigDecimal getVoucherCond() {
        return voucherCond;
    }
    /**
     * 设置：折扣券折扣(折)，1-9.9之间的数字，精确到小数点后1位
     */
    public void setDiscRatio(BigDecimal discRatio) {
        this.discRatio = discRatio;
    }

    /**
     * 获取：折扣券折扣(折)，1-9.9之间的数字，精确到小数点后1位
     */
    public BigDecimal getDiscRatio() {
        return discRatio;
    }
    /**
     * 设置：折扣券使用条件(元)，)，消费金额满多少使用
     */
    public void setDiscCond(BigDecimal discCond) {
        this.discCond = discCond;
    }

    /**
     * 获取：折扣券使用条件(元)，)，消费金额满多少使用
     */
    public BigDecimal getDiscCond() {
        return discCond;
    }
    /**
     * 设置：兑换券使用条件(元)，消费金额满多少使用
            
     */
    public void setExchCond(BigDecimal exchCond) {
        this.exchCond = exchCond;
    }

    /**
     * 获取：兑换券使用条件(元)，消费金额满多少使用
            
     */
    public BigDecimal getExchCond() {
        return exchCond;
    }
    /**
     * 设置：生效时间类型，【effect_time_type，00:固定时间，01:领取后生效】
     */
    public void setEffectTimeType(String effectTimeType) {
        this.effectTimeType = effectTimeType;
    }

    /**
     * 获取：生效时间类型，【effect_time_type，00:固定时间，01:领取后生效】
     */
    public String getEffectTimeType() {
        return effectTimeType;
    }
    /**
     * 设置：固定开始时间，yyyy-MM-dd
     */
    public void setFixBegTime(Date fixBegTime) {
        this.fixBegTime = fixBegTime;
    }

    /**
     * 获取：固定开始时间，yyyy-MM-dd
     */
    public Date getFixBegTime() {
        return fixBegTime;
    }
    /**
     * 设置：固定结束时间，yyyy-MM-dd
     */
    public void setFixEndTime(Date fixEndTime) {
        this.fixEndTime = fixEndTime;
    }

    /**
     * 获取：固定结束时间，yyyy-MM-dd
     */
    public Date getFixEndTime() {
        return fixEndTime;
    }
    /**
     * 设置：领券延期生效天数(天)
     */
    public void setPostponeNum(String postponeNum) {
        this.postponeNum = postponeNum;
    }

    /**
     * 获取：领券延期生效天数(天)
     */
    public String getPostponeNum() {
        return postponeNum;
    }
    /**
     * 设置：领券使用有效天数(天)
     */
    public void setValidDayNum(String validDayNum) {
        this.validDayNum = validDayNum;
    }

    /**
     * 获取：领券使用有效天数(天)
     */
    public String getValidDayNum() {
        return validDayNum;
    }
    /**
     * 设置：库存
     */
    public void setTicketNum(Integer ticketNum) {
        this.ticketNum = ticketNum;
    }

    /**
     * 获取：库存
     */
    public Integer getTicketNum() {
        return ticketNum;
    }
    /**
     * 设置：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }

    /**
     * 获取：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public String getApplyType() {
        return applyType;
    }
    /**
     * 设置：领取入口，格式：1,2,...,n，【get_enter，1:商品详情页/购物车等商城页面】
     */
    public void setGetEnter(String getEnter) {
        this.getEnter = getEnter;
    }

    /**
     * 获取：领取入口，格式：1,2,...,n，【get_enter，1:商品详情页/购物车等商城页面】
     */
    public String getGetEnter() {
        return getEnter;
    }
    /**
     * 设置：能否分享领取，【can_share_get，0:能，1:否】
     */
    public void setCanShareGet(String canShareGet) {
        this.canShareGet = canShareGet;
    }

    /**
     * 获取：能否分享领取，【can_share_get，0:能，1:否】
     */
    public String getCanShareGet() {
        return canShareGet;
    }
    /**
     * 设置：每人限领数(张)，每个用户领券上限，如不填则默认为1
     */
    public void setLimitNum(Integer limitNum) {
        this.limitNum = limitNum;
    }

    /**
     * 获取：每人限领数(张)，每个用户领券上限，如不填则默认为1
     */
    public Integer getLimitNum() {
        return limitNum;
    }
    /**
     * 设置：活动图片url(小图)
     */
    public void setAdvImgUrl(String advImgUrl) {
        this.advImgUrl = advImgUrl;
    }

    /**
     * 获取：活动图片url(小图)
     */
    public String getAdvImgUrl() {
        return advImgUrl;
    }
    /**
     * 设置：门店logo图url
     */
    public void setStoreLogoUrl(String storeLogoUrl) {
        this.storeLogoUrl = storeLogoUrl;
    }

    /**
     * 获取：门店logo图url
     */
    public String getStoreLogoUrl() {
        return storeLogoUrl;
    }
    /**
     * 设置：门店名称，默认填写商户门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取：门店名称，默认填写商户门店名称
     */
    public String getStoreName() {
        return storeName;
    }
    /**
     * 设置：券面颜色，如:#ababab
     */
    public void setTicketColor(String ticketColor) {
        this.ticketColor = ticketColor;
    }

    /**
     * 获取：券面颜色，如:#ababab
     */
    public String getTicketColor() {
        return ticketColor;
    }
    /**
     * 设置：操作说明
     */
    public void setOptDecl(String optDecl) {
        this.optDecl = optDecl;
    }

    /**
     * 获取：操作说明
     */
    public String getOptDecl() {
        return optDecl;
    }
    /**
     * 设置：优惠说明
     */
    public void setDiscDecl(String discDecl) {
        this.discDecl = discDecl;
    }

    /**
     * 获取：优惠说明
     */
    public String getDiscDecl() {
        return discDecl;
    }
    /**
     * 设置：使用须知
     */
    public void setUseNoti(String useNoti) {
        this.useNoti = useNoti;
    }

    /**
     * 获取：使用须知
     */
    public String getUseNoti() {
        return useNoti;
    }
    /**
     * 设置：客服电话，手机或固话
     */
    public void setSvrTel(String svrTel) {
        this.svrTel = svrTel;
    }

    /**
     * 获取：客服电话，手机或固话
     */
    public String getSvrTel() {
        return svrTel;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
    /**
     * 设置：发放方式 0：按订单发放 1：按用户发放(通用优惠券，用户点击领取) 2:商品转发送券 3：按商品发放 4:新用户注册 5：线下发放 6评价好评红包（固定或随机红包） 7包邮（不入会员优惠券表）
     */
    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    /**
     * 获取：发放方式 0：按订单发放 1：按用户发放(通用优惠券，用户点击领取) 2:商品转发送券 3：按商品发放 4:新用户注册 5：线下发放 6评价好评红包（固定或随机红包） 7包邮（不入会员优惠券表）
     */
    public Integer getSendType() {
        return sendType;
    }

    public Integer getDiscSellCount() {
        return discSellCount;
    }

    public void setDiscSellCount(Integer discSellCount) {
        this.discSellCount = discSellCount;
    }

    public BigDecimal getDiscSellDoller() {
        return discSellDoller;
    }

    public void setDiscSellDoller(BigDecimal discSellDoller) {
        this.discSellDoller = discSellDoller;
    }
}
